Software Overview

Earlyon CafeCentra software is designed and developed as an optimum Personal Computer usage billing solution for businesses operating Personal Computer rentals such as Internet Cafés. CafeCentra’s client-server architecture ensures that billing is central and administered also in real-time. The software allows account creation for prospective client users in advance on the server in bulk and the printing of tickets with account information for users. Accounts created on the server can be used on any computer running the client software on the local area network on which the server has been installed.

Server administrators can monitor computers on which the client software is running in real-time and remotely administer such actions as remote PC Rebooting, Shutdown, Active User Logout and Pausing of Client and information about other applications running on the client computers.

The Server also allows for the creation of multiple server administrators with various rights, income report viewing and printing for revenue generated from the usage of computers on which the clients are running with information about the administrator responsible for each account created.

CafeCentra Frequently Asked Questions

What is New in CafeCentra Version 4.5?

CafeCentra Server Installation and Setup

CafeCentra Client Installation and Setup

System Requirements

Creating and Managing Server Administrator Accounts

Creating and Managing Client User Accounts

Using Server Administration Shortcuts

Using the Server Toolbar

Understanding the Server Main Menu

Understanding User Account Types

Server Configurations and Multi-Rate Billing

Operations and System Policies Management

Server and Client Tools and Utilities

Client Operation and Features

CafeCentra License Agreement

CafeCentra Technical Support


CafeCentra Frequently Asked Questions

CafeCentra Frequently Asked Questions (F.A.Q)

These are some of the common questions prospective users ask about Earlyon CafeCentra and the answers. Attempt has been made to make the answers strictly relevant and brief. For more details please contact info@cafecentra.com

Question: On what range of Windows Operating System does CafeCentra run?

Answer: Both CafeCentra client and server can run on Windows 98, Me, NT, 2000 and XP. However the client software runs best on Windows 2000 and XP due to their relatively advanced security and operating features.

Question: Can I try the Earlyon CafeCentra software before I purchase it?

Answer: Yes. You can download, install and run CafeCentra client and server with up to 50 client workstations for a period of 240-hours server uptime. That means your trial expires after the CafeCentra server has run for a total of 240-hours which is 10 full 24-hour days of operation.

Question: Does CafeCentra Support a DHCP Network?

Answer: Absolutely. CafeCentra supports a DHCP Network irregardless of the lease period set by the network administrator and this can be configured on CafeCentra server.

Question: Does CafeCentra Support Monitoring of Jobs Printed by Users in an Internet Cafe?

Answer: Yes. CafeCentra has the most extensive support for print jobs monitoring in any similar software. CafeCentra allows for pre-paid and post-paid print job billing. CafeCentra can be configured to automatically deduct the cost of printed jobs from a client user’s account which is reflected in a reduction of browsing time. It can also be configured to hold any document sent to any printer on the network pending and notify the user politely with the option of printing the job immediately or later (within the next couple of hours). An administrator can either locally authorize such jobs with a password or remotely view the print queue on the CafeCentra server for the particular workstation and then print the job. This allows everybody including the users to know the number of pages that would be printed and pay the required amount. CafeCentra keeps a report of all jobs printed and the number of pages on the server.

Question: Does CafeCentra have features for reporting user tickets created, used and unused?

Answer: Yes. And much more. CafeCentra has 9 reporting options that cover comprehensive and summary reports on user accounts created within a period, number used and unused, creator of the accounts, expected income, documents printed and the number of pages involved, etc. If you have been having problems of accountability in your Cafe business, this is the time to put all that behind you with CafeCentra's accurate, easy to use and reliable reporting features that generate income reports including even deleted accounts!

Question: What happens if I forget my Admin password on the CafeCentra server?

Answer: Denied Login. However CafeCentra gives you the option to create multiple administrator accounts with different access rights. It is advisable to create another administrator account with full rights for such days of forgetfulness.

Question: What happens if ingenious client hacks are able to shut down CafeCentra client?

Answer: With the new security features, the odds against such are very high. However, if it occurs, CafeCentra client automatically restarts. If the attack persists, the user’s account is invalidated and the information of a security breach logged on the CafeCentra server.

Question: Can CafeCentra monitor my Internet Connection and pause clients when it is slow?

Answer: Yes. CafeCentra offers the unique feature of warning users that the connection is slow and giving them the option to pause or continue working undisturbed with the click of a button. In addition as administrator you even have the option of setting the monitoring interval and defining the time-out period.

Question: Can I print tickets on CafeCentra?

Answer: Yes. And you may even publish the tickets first before printing so you can view, print and save for future reference or re-printing.

Question: What does a CafeCentra user account ticket look like?

Answer: A small rectangular piece of paper with the name of the Café and address shown on it as well as the validity period of the ticket and the username and password for the account and the value in Units.

Question: How does CafeCentra create and bill user accounts?

Answer: User accounts values are assigned in Units. You have the option at first server start-up and any other time to set the rate of units that equals a minute of browsing time. You may now sell 10, 20 or more minutes of browsing time units for any amount you desire. Any time a user logs on, CafeCentra shows the user the current time-value of the account.

Question: Can CafeCentra prevent users from messing up my workstations or computers?

Answer: Yes. CafeCentra has the option for you to set policies from the server to handle a lot of added security issues such as ‘Hide Control Panel’, ‘Disable Addition/Deletion of Printers’, ‘Hide Internet Connection Settings’, ‘Hide Folder Settings On Explorer’, etc. In addition you can configure CafeCentra plug-in such as Disk Clean (to automatically clean your hard-disk of user downloaded junk) and Client Security (to prevent web installations, desktop wallpaper changing, unsavory websites, etc).

Question: What happens if I need a license upgrade because I have acquired more workstation computers than my present license allows?

Answer: You can buy an upgrade license. You pay the difference in amount between the current price of the license required and the price you paid for your present license.


CafeCentra Frequently Asked Questions

What is New in CafeCentra Version 4.0?

CafeCentra Version 4.5 contains many new features that make Internet Café Billing and Management a stress-free and even exciting experience. This section highlights the new features and how they help to make managing your Internet Café easier. While the information provided here may not be exhaustive enough, please note that further information about a particular feature is provided under relevant or related sections in the CafeCentra help.

You can find out about most of the new features by clicking on the links below.

If while using CafeCentra you have suggestions on additional features that would meet your needs better, you can mail such suggestions to info@cafecentra.com

Multi-Point Printer Monitoring

CafeCentra now allows for both pre-paid and post-paid print job billing even on printers that are not directly connected to the computer on which CafeCentra Server is running. In addition, multiple printers can be monitored with multiple different printing rates. In its excellent tradition, CafeCentra Print Monitoring continues to support every major Windows Platform from Windows 98 to Windows XP Professional and also allow the prevention or monitoring of print jobs from computers not running CafeCentra clients such as laptops.

Dynamic and Configurable Client Web Sites Restriction

Now you can restrict client users from visiting web sites that you do not approve of in your café such as pornographic web sites, etc. It is now improved, very reliable and quite powerful with an innovative URL-keyword restriction feature.

Improved & Superior Client Security

The new CafeCentra client brings security to a higher level. It is now immune to programs that lists process and terminate them that are often used by hackers. In addition, CafeCentra Client is immune to process suspension and process pausing. The integrated programs execution restriction features adds even a higher level of preventive security by allowing only authorized programs to run on client workstations.

Integrated Bandwidth Monitoring

Now Cyber Café operators can monitor bandwidth traffic or usage on their network easily using both graphical and numeric data provided by the integrated bandwidth monitoring tool in CafeCentra Server and can restrict users to a threshold or have the administrator warned of usage excesses. Bandwidth is monitored in real-time, thus allowing real-time actions.

Programs Execution Restriction

The new integrated feature of Programs Execution Restriction allows Cyber Café operators to specify authorized programs that can be run on workstations or explicitly specify ones that they want banned from running.

Dynamic Multi-Language Support in CafeCentra Client

The new CafeCentra Client now supports French and Spanish in addition to the traditional English language. The languages can be dynamically changed for each session rather than being fixed and permanent.

Improved User Friendliness In CafeCentra Client

CafeCentra Client is now more user-friendly with additional icons on its desktop for the administrator while its toolbar is now designed in a compact and unobtrusive way, so that users can have maximum use of their desktop screen.

Bundled Server Database Repair and Maintenance Utility

CafeCentra Server now comes with an easy-to-use bundled external database migration, backup, repair and maintenance toolkit. The toolkit can be used while CafeCentra Server is not even running on the computer, making it handy.

User Registration Module

Member or customer information and details can now be stored for as long as desired and possibly used for customer relationship management requirements.

Improved Program Windows Limiting

CafeCentra feature for limiting the maximum number of program windows that can be opened has now been improved to include tabbed windows of programs such as Opera and Mozilla Firefox.

Export & Import CafeCentra Server Settings

You can now export your CafeCentra Server settings if you need to format the host computer hard disk and easily restore those settings back with a couple of mouse clicks, instead of having to reconfigure the server all over again on the new installation.

Multi-Point Access CafeCentra Server Extension

The new CafeCentra Server Extension now allows Café Administrators or owners to access CafeCentra Income Reports, create User Accounts and perform other actions from any point on their Local or Wide Area Network.

Multi-Point Printer Monitoring

CafeCentra now allows for both pre-paid and post-paid print job billing even on printers that are not directly connected to the computer on which CafeCentra Server is running. In addition, multiple printers can be monitored with multiple different printing rates. Because CafeCentra uses the concept of units and not browsing time for user accounts creation, the cost of page of print job is configured based on units, which makes it extremely flexible and not susceptible to the problem of fixed time deduction which becomes a loss during bonanzas or non-uniform browsing time sales. CafeCentra also continues its tradition of a wide variety of print monitoring options such as the monitoring of print jobs from computers not running CafeCentra Clients, print jobs directly from CafeCentra Server, etc in a way and manner that no other comparable software offers in the market. In fact, now CafeCentra has a separate set of print policies for configuration.

Note that CafeCentra offers real-time monitoring of printer jobs and not monitoring of Print dialog as most other available Internet Café billing software do.

Dynamic and Configurable Client Web Sites Restriction

A few other Cyber Café Billing software claiming web site restriction only work on Windows 2000 and XP and you would have to explicitly input all imaginable sites into the restriction list. With CafeCentra, the web site restriction works equally well on Windows 95,98, ME, 2000 and XP. To aid performance, you do not have to enter a vast array of sites to limit for example pornographic sites. A few key site parameters may only be entered for those who do not wish to include an exhaustive list that slows down performance. Even when users resort to using search engines to lookup restricted sites and try to navigate to view a cache of such site, CafeCentra totally restricts and foils such tactics, making its web restriction easily the most powerful available in any Cyber Café Billing and Management software on the market.

Improved & Superior Client Security

The new CafeCentra client takes security to a higher level to unarguably become the most secure Cyber Cafe billing software available in the market. It is now immune to programs that lists process and terminate them that are often used by hackers. In addition, CafeCentra Client is immune to process suspension and process pausing. The integrated programs execution restriction features adds even a higher level of preventive security by allowing only authorized programs to run on client workstations. In addition to the security against user hacking, CafeCentra client now comes with a security plug-in that allows Cyber Cafe administrators to restrict or disallow junk downloads and the installation of programs such as Comet Cursor, Hot Sex Bars and the likes that clog hard disk space and hog bandwidth to download unsavory material on client computers. You can also selectively enable downloads for specific clients or workstations temporarily remotely from CafeCentra Server.

Integrated Bandwidth Monitoring

Now Cyber Café operators can monitor bandwidth traffic or usage on their network easily using both graphical and numeric data provided by the integrated bandwidth monitoring tool in CafeCentra Server and can restrict users to a threshold or have the administrator warned of usage excesses. Bandwidth is monitored in real-time, thus allowing real-time actions. The Bandwidth Monitoring tool distinguishes between TCP and UDP Traffic and provides information on each separately, thus allowing the network administrator to know the volume of traffic from each protocol. In addition, information on uploads and downloads are separately available to provide a finer grain of bandwidth traffic data for the network.

Programs Execution Restriction

The new CafeCentra stands in its own class as a veritable Cyber Café Billing and Management software and not just an ordinary "timer" or "Cyber Café Biller". Now you can configure CafeCentra to schedule the cleaning of junk files downloaded by users from your client computer hard disks at regular intervals. You can specify a threshold or minimum free space for every client computer hard disk in your cafe, which if the available free spaces falls below, CafeCentra would automatically run a disk clean. The fully configurable disk cleaning and maintenance plug-in allows Cafe Administrators to specify cache folders where they know users generally download or store junk file for cleaning in addition to pre-defined locations such as Windows Temp and Temporary Internet Files folders.

Dynamic Multi-Language Support in CafeCentra Client

The new CafeCentra Client now supports French and Spanish in addition to the traditional English language. The languages can be dynamically changed for each session rather than being fixed and permanent, thus allowing cyber café customers to use the client software in the language most suitable to them without creating a nuisance for the next user.

Improved User Friendliness In CafeCentra Client

CafeCentra Client is now more user-friendly with additional icons on its desktop for the administrator while its toolbar is now designed in a compact and unobtrusive way, so that users can have maximum use of their desktop screen. In addition, the tradition of allowing users to close all their open windows or go to their favourite free web mail program with a single-click through the Options button on the CafeCentra Client toolbar remains available.

Bundled Server Database Repair and Maintenance Utility

CafeCentra Server now comes with an easy-to-use bundled external database migration, backup, repair and maintenance toolkit. The database repair toolkit is easy to use and very straightforward and can help in repairing a corrupt database and moving the repaired database to a backup location without the hassle of requiring the CafeCentra Server to be running.

User Registration Module

Member or customer information and details can now be stored for as long as desired and possibly used for customer relationship management requirements. Customer details that can be entered include addresses, phone numbers, email addresses and much more for efficient customer relationship management. The feature could also be used for club browsing membership management.

Improved Program Windows Limiting

CafeCentra feature for limiting the maximum number of program windows that can be opened has now been improved to include tabbed windows of programs such as Opera and Mozilla Firefox in addition to all the other windows being previously restricted. The feature allows the operator to manage bandwidth usage indirectly and also to avoid hits on system performance due to too many open program windows.

Export & Import CafeCentra Server Settings

You can now export your CafeCentra Server settings if you need to format the host computer hard disk and easily restore those settings back with a couple of mouse clicks, instead of having to reconfigure the server all over again on the new installation.

Multi-Point Access CafeCentra Server Extension

CafeCentra Server now comes with a configurable Server Extension that allows administrators or Cyber Cafe owners to be able to View Income Reports, Create User Accounts, Unlock User Accounts, Change Password and Edit Server Policies remotely from any point on a Local Area Network (LAN) or Wide Area Network (WAN) where CafeCentra Server is running. This gives unprecedented flexibility since a lot could be done without actually being physically present on the computer where CafeCentra Server is installed.


CafeCentra Server Installation

CafeCentra Server Installation and Setup

To install CafeCentra server, run the CCServer45_Setup.exe setup program from the directory to which you downloaded or copied it. Follow the instructions on the setup dialog to complete the installation. Please read all notices and information displayed carefully. It is advisable that you leave the Run CafeCentra Server box at the conclusion of installation checked so you can immediately configure the Server.

To configure CafeCentra server, run the server program for the first time from the programs list or desktop icon if you unchecked the Run CafeCentra Server box at the conclusion of the installation. The program loads with the CafeCentra Server Configurations and Settings dialog. Please enter your valid organization information in the boxes provided under the Company Information frame.

The ‘Units to Bill per Minute of Browsing Time’ is the rate to bill users per minute of browsing time. CafeCentra accounts generally use the concept of units. For example if you type in 5 for this value, it would imply that the browsing rate is 5 units per minute. A 100 unit user account under this billing rate is thus equivalent to 20 minutes of browsing time.

The ‘Name of Currency to Use for Ticket Sales’ implies the name of the currency that would be attached to the selling price of user account tickets and be used for accounting in your CafeCentra Reports. For example you can type Dollar, Pound or Naira for this value.

The ‘Warn User when User Time left in Minutes’ value requires the amount of time in minutes, below which if a users’ time drops, he/she is warned of low account units and reminded to purchase more time or additional user account tickets.

Click the OK button after filling all the necessary configuration details to proceed to the next stage. Click the Cancel button to abort configuration and exit CafeCentra immediately.

PLEASE NOTE that CafeCentra does not have any concept of currencies. However, what it has are units which may be directly mapped or compared to money in any currency. Thus if your currency for example is naira and you wish to bill your users 10 naira per minute, then enter 10 in the amount box. This implies that for all your settings dealing with amount units on CafeCentra, 1 naira is equivalent to 1 unit. Therefore, if you wish to create accounts with a value of 3000 naira, you type in 3000.

On clicking the OK button on the server configurations and settings dialog, you are presented with your valid registration details through a Registration Information dialog. Please carefully copy the details, especially your Product ID and ensure that your mails are sent from the email address you’ve given for hassle free registration.

Click the OK button only after you’ve finished noting down all the registration details.

You are then presented with the Server License dialog. You would continue to see this dialog at each subsequent CafeCentra startup until you activate your product by providing the valid Activation Key. Please note that three illegal trials of the Activation Key locks up the software temporarily and continued illegal trials may require you uninstalling the software.

To activate or register your product, if you have received the Activation Key when you are presented with the evaluation dialog at startup, please enter the Activation Key and click the Apply License button to activate your product for the number of clients license you’ve paid for. You will be immediately notified by a dialog box in respect of this. Click the OK button or press the ENTER or ESC keyboard key.

Clicking the Cancel button on the License dialog would unload the dialog for as long as your evaluation period lasts (which is 240 hours server uptime) and let you use the server application. After you evaluation period lapses, canceling the License dialog would terminate the server application.

Every time the server loads after you leave the License dialog, you are presented with a startup application screen and finally a login dialog. If you are running CafeCentra server for the first time, your login username and password details are thus:

Username: Admin

Password: admin

To upgrade your product license in the future, from the main CafeCentra server window, click the Help menu and select the Upgrade License On Next Run from the dropdown menu. This would place a check mark beside the menu. You can then shutdown CafeCentra server. When you restart it again, it would bring up the License dialog for you to apply the new or upgrade license and click the Close button. The license dialog would not come up again until the Upgrade License On Next Run is selected again for another upgrade.

NOTE that even if you do not apply a license upgrade when the dialog is on and rather close it, the action does not affect your previous license.

Server License and Registration

When sending your registration information, please accompany it with your payment information containing the bank information, payee details, payment date and the amount paid in line with the payment instructions on our website. Please allow Earlyon Technologies 48 hours to respond to your payment and registration information. You would be provided your license information via a reply email to the address from which your mail was sent if it corresponds with the email address in your registration information. If you are contacting Earlyon through an approved reseller, the reply would be sent to both the reseller’s and your registration email address. However please do not provide your License Key to any other person or persons except for the sole purpose of activating your copy of CafeCentra server as this is illegal and a violation of the Earlyon Software Agreement that comes with this product.


CafeCentra Client Installation

CafeCentra Client Installation and Setup

To install CafeCentra client, run the CCClient45_Setup.exe setup program from the directory to which you downloaded or copied it. Follow the instructions on the setup dialog to complete the installation. Please read all notices and information displayed carefully. It is advisable that you leave the Run CafeCentra Client box at the conclusion of installation checked so you can immediately configure the Client.

To configure CafeCentra client, run the server program for the first time from the programs list or desktop icon if you unchecked the Run CafeCentra Client box at the conclusion of the installation. The program loads with the Client Configurations dialog. Please enter the IP Address of the computer on which the CafeCentra server is already running, in the long string format [i.e. 127.255.0.10]. If you do not know this address, check the top right hand corner of the running CafeCentra server main form and use the information displayed about the Server IP Address in green letters. Click the Locate CafeCentra Server button after entering this information. If the server is successfully located and client registration with the server complete, you would get a ‘Client Installation Completed Successfully’ message. You can then click the OK button. If CafeCentra client does not automatically load, then give it sixty seconds and then restart the program.

However, if you wish to auto detect the server, select the ‘Autodetect Server IP Address’ option and click the Locate CafeCentra Server button to start scanning for the server. You are notified of the result and if it is positive, you will finally get the ‘Client Installation Completed Successfully’ message.


System Requirements

Minimum Hardware Requirements for installing and running CafeCentra Server :

  • IBM PC or Compatible

  • 233 MHz Processor Speed (Intel Pentium Series or Equivalent)

  • 64 MB RAM System Memory

  • 6 MB Hard Disk Space

  • Microsoft Windows 98 / Me / NT / 2000 / XP

  • 16 Bit Colour System Display at 800 x 600 pixels resolution (minimum)

  • TCP/IP Networking protocol

Minimum Hardware Requirements for installing and running CafeCentra Client :

  • IBM PC or Compatible

  • 233 MHz Processor Speed (Intel Pentium Series or Equivalent)

  • 32 MB RAM System Memory

  • 3 MB Available Hard Disk Space

  • Microsoft Windows 98 / Me / NT / 2000 / XP

  • 16 Bit Colour System Display at 800 x 600 pixels resolution (minimum)

  • TCP/IP Networking protocol


Creating and Managing Server Administrator Accounts

To create, edit or remove an administrator account, select Server Management from the Actions Menu and from the extended sub menu, select Administrator Accounts. The resulting dialog box is the Administrators Access Control dialog box which has two tabs [ Administrators and Admin Rights]. You can also use the Administrator Accounts Wizard which is simpler to use to create and edit administrators.

To create a new administrator, click the New button on the Administrators tab view of the Administrators Access Control dialog to enable the Administrator Properties frame and the associated textboxes and fill in the details of the new administrator. Click on the Create button to create the new administrator. A snapshot of the administrator details is added to the list view displaying all administrators’ ID, Full name and Admin Rights ID.

To edit an existing administrator account, switch to the Administrators tab view of the Administrators Access Control dialog box, select the Administrators’ ID on the list view showing the administrator details and click the Edit button. The Administrator’s full details are immediately displayed in the now enabled Administrator Properties frame. Make your changes to the Administrator details and click the Update button.

To delete an existing administrator account, select the Administrator on the list view of the Administrators tab view of the Administrators Access Control dialog box and click on the Remove button.

To assign an admin rights id to an administrator account, create the administrator account if new or edit it if previously existing by following the usual procedures to create or edit administrator accounts. Select the Admin Rights ID dropdown box and choose the Admin Right ID you wish to assign from the existing ones. If you want a new right id, switch to the Admin Rights tab view and follow the procedure for creating a new Admin Rights ID and then switch back to the Administrator tab view and select the newly created Admin Rights ID from the dropdown box where it would have been automatically added.

To create a new admin rights id, select the Admin Rights tab of the Administrators Access Control dialog, click the New button. This enables the Admin Rights frame. Type the name by which you wish to identify the new Admin Rights in the New Admin Rights ID box. Select the rights you want to give under Server Administration and Client Administration from the list boxes and specify the maximum time that can be allocated by the administrator on CafeCentra clients. A value of zero signifies no rights to allocate time. When you have selected all the rights you wish to give to this Admin Rights ID, click the Update button. This adds the newly created Admin Rights ID to the existing ones in the Existing Admin Rights ID group.

To edit an existing admin rights id, select the particular Admin Rights ID from the list of Existing Admin Rights ID of the Admin Rights tab view and click the Edit button. This enables the Admin Rights frame and automatically displays the Admin Rights ID in the New Admin Rights ID box and the associated rights are listed under Server Administration and Client Administration. Select or deselect the associated rights as you desire and click the Update button.

To delete an existing admin rights id, select the particular Admin Rights ID from the Existing Admin Rights ID list of Admin Rights tab view and click the Remove button. It is necessary that you ensure that no Administrator is currently assigned to the Admin Rights ID you wish to delete.


Using Server Administration Shortcuts

The Server Administration Shortcuts panel is situated on the left hand side of the main server form. It contains four shortcuts namely Client Users, Workstations, Income Reports and Events Log.

To view and manage all active client user accounts, click the Client Users shortcut. This brings up a view allowing the user to query and filter user accounts by different criteria to be displayed from the server user accounts database.

To manage user accounts created over a certain period, select the dates covered by the period and click the Load Accounts button. To restrict accounts to be loaded by user account name, select the First Filter Criteria as ‘Filter By Specified Account Username’ and specify the username in the indicated box. To restrict accounts to be loaded by the creator’s Administrator ID, select the First Filter Criteria as ‘Filter By Specified Creator’s Admin ID’ and specify the administrator’s id in the indicated box. To restrict accounts to be loaded by a known User Accounts Scheme Name, select the First Filter Criteria as ‘Filter By Specified Accounts Scheme Name’ and specify the scheme name in the indicated box. To further restrict accounts to be loaded by Accounts Unit Value, select the Second Filter Criteria as ‘Filter By Specified Accounts Unit Value’ and specify the account unit value in the indicated box. To further restrict accounts to be loaded by Accounts Ticket/Username Batch ID, select the Second Filter Criteria as ‘Filter By Specified Accounts Ticket Batch’ and specify the account ticket batch id in the indicated box.

To re-publish and re-print a user account or group of user accounts, select the user account or group of user accounts in the loaded user accounts in the Client User Accounts view and right-click. This would bring up a pop-up menu from which you can select the ‘Publish User Account(s)’ option.

To manually refill a user account, select the user account in the loaded user accounts in the Client User Accounts view and right-click. This would bring up a pop-up menu from which you can select the ‘Refill User Account’ option. Note that you can only refill a user account at a time.

To unlock a user account or group of user accounts, select the user account or group of user accounts in the loaded user accounts in the Client User Accounts view and right-click. This would bring up a pop-up menu from which you can select the ‘Unlock User Account(s)’ option.

To lock a user account or group of user accounts, select the user account or group of user accounts in the loaded user accounts in the Client User Accounts view and right-click. This would bring up a pop-up menu from which you can select the ‘Lock User Account(s)’ option.

To automatically select all the loaded user accounts, right-click on the loaded user accounts in the Client User Accounts view and select the ‘Select All’ option from the pop-up menu.

PLEASE NOTE: For further user accounts management such as deletion of user accounts that are expired, empty or with values below a certain units limit, you should go to Actions menu, highlight Server Management and from extended sub-menu select Database Management.

To view all clients connected to the server, click the Workstations shortcut. This brings up a view listing all the clients connected to the server, the client users logged onto these clients and such information as the duration the client users have spent on the workstations on which the CafeCentra clients are active, the starting value in the users’ accounts and the current value.

When at least one workstation is connected to the server, the administrator can carry out remote client actions by right clicking on the Computer Name of the client listed in the list view. This brings up a pop-up menu containing a list of action the administrator can remotely execute such as Reboot, Shutdown, View Task List, Send Message, Logout User and Pause or Unpause client timers.

You may select as many computers on the view as you want by holding down the SHIFT button and left-clicking on the computer names listed. When all computers you want have been selected, you can now right-click to bring up the remote action pop-up menu and initiate action to be carried out on all selected clients.

To remotely reboot a client workstation or computer, select the computer name of the workstation on which a CafeCentra client must be running from the list view, right click to bring up the remote action pop-up menu and select the Reboot Workstation on the menu by clicking on it.

To remotely shutdown a client workstation or computer, select the computer name of the workstation on which a CafeCentra client must be running from the list view, right click to bring up the remote action pop-up menu and select the Shutdown Workstation on the menu by clicking on it.

To remotely logout an active client user, select the computer name of the workstation on which a CafeCentra client must be running and on which there is an active user logged on from the list view, right click to bring up the remote action pop-up menu and select the Logout Active User on the menu by clicking on it.

To remotely pause or unpause an active client user’s usage timer, select the computer name of the workstation on which a CafeCentra client must be running and on which there is an active user logged on from the list view, right click to bring up the remote action pop-up menu and select the Pause User Timer or Unpause User Timer on the menu as appropriate by clicking on it. Pausing an active client user’s timer brings up a cover screen on the client computer to prevent the current client user from viewing his/her work on the client computer during the period the client timer is paused. However, the current client user can unpause his/her timer from the client workstation.

To remotely view the list of tasks currently running on a client, select the computer name of the workstation on which a CafeCentra client must be running from the list view, right click to bring up the remote action pop-up menu and select the View Task List on the menu by clicking on it. This brings up a Client Task List dialog with a view listing all applications currently running on the client computer.

To remotely view the print job queue currently active on a client, select the computer name of the workstation on which a CafeCentra client must be running from the list view, right click to bring up the remote action pop-up menu and select the View Print Job Queue on the menu by clicking on it. This brings up a Client Print Job Queue dialog with a view listing all the jobs held in the print job queue by CafeCentra on the client computer. You can select a job and click the Printer Job menu on the Print Queue dialog to authorize the Printing or Cancellation of the job.

To remotely send message to user on a client, select the computer name of the workstation on which a CafeCentra client must be running from the list view, right click to bring up the remote action pop-up menu and select the Send Message on the menu by clicking on it. This brings up a send message dialog where you can enter the text to be sent to all selected clients and click the Send button on the dialog.

To remotely Refill a User Account in use on a client, select the computer name of the workstation on which a CafeCentra client must be running from the list view, right click to bring up the remote action pop-up menu and select Refill User Account on the menu by clicking on it. This brings up a Refill User Account dialog where you can select the option of refilling the User Accounts from pre-defined schemes or from a pre-created User Account and click on the Add Account button.

To remotely Logon to a CafeCentra Client, select the computer name of the workstation on which a CafeCentra client must be running from the list view, right click to bring up the remote action pop-up menu and select User Login on the menu by clicking on it. This brings up a Remote User Logon dialog where you can select the option of remotely login on a user from pre-defined schemes or from a pre-created User Account and click on the Login Account button.

To remotely disable CafeCentra Client Policies, select the computer name of the workstation on which a CafeCentra client must be running from the list view, right click to bring up the remote action pop-up menu and select the Disable Client Policies on the menu by clicking on it. This brings up a Client Policy dialog where you select the policies to disable and the click the Effect Change button. Note that policies disabled through this means are only effective for the duration the current user is active. Once the user logs out, the policies are reverted back to the general state.

To remotely end CafeCentra clients running on a workstation, select the computer name of the workstation on which a CafeCentra client must be running from the list view, right click to bring up the remote action pop-up menu and select the End CafeCentra Client on the menu by clicking on it.

To select all client workstations connected, right click anywhere on the workstation view pane to bring up the remote action pop-up menu and select the Select All Workstations on the menu by clicking on it. This highlights all workstations connected to the server on the workstation view pane. You may now right click again and initiate any remote action to be carried out on all selected clients.

To generate and view income reports from computer usage, click the Income Reports shortcuts. This brings up a view from which you can select the day, month and year from which you wish the reporting period to begin and the day, month and year for it to end. Select the type of report to generate from the appropriate drop-down and Click the View Report button to generate the required report covering the period specified. There are presently 9 supported report types.

For the General Income Report, the report lists the user accounts tickets created, the creator, the date from which a user begins to use the ticket account and the value of the user accounts ticket. Please note that CafeCentra’s income report is generated based the ticket activation theory. This means that CafeCentra only records as income, user accounts created and for which the user has logged on with the account at least once. The first time the user logs on with the account is the activation time and this is the time used in the reporting period.

For the Accounts Creation Report, the report lists all user accounts created within the specified period, the creator of each account, creation time, value of the account and whether it is printed or not.

For the Accounts Creation Summary Report, the report summarizes all user accounts created within the specified period by categorizes them by the amount and time value, giving the number of each group of account amount created, the number used, the number unused and the number printed.

For the Income Summary Report, the report summarizes all user accounts activated (used for the first time) within the specified period, grouping them by the account amount and time value and giving the number of per amount group activated, the number printed and the minimum and maximum creation dates for the accounts activated per group.

For the Standalone Time Report, the report lists information about all standalone time allocated on CafeCentra clients, the particular standalone administration id [STANDALONE or CLIENTCONFIG] used in allocating the time, the number of minutes allocated and the time of the day the allocation was made within the given period. It also presents a total of the time allocated by each standalone administration id at the bottom of the report.

For the Printed Jobs Report, the report lists information about all jobs printed within the specified period, the printer involved, the number of pages and the actual time of printing.

For the Printed Jobs Report Summary, the report summarizes information about all jobs printed within the specified period, grouping them by the names of the administrators who authorized the printed jobs and specifying the total pages printed by each administrator and the number of times the administrator authorized print jobs that resulted in the total pages printed for the period.

For the Admin Time Allocation Report, the report lists information about all time allocated on CafeCentra clients by administrators, the administrator who allocated the time, the number of minutes allocated and the time of the day the allocation was made within the given period.

For the Admin Time Allocation Summary, the report summarizes all the time allocated by administrators on CafeCentra client within the specified period, grouping the information by each administrator that allocated time and specifying information about the total time in minutes that each administrator allocated and the number of times the administrator allocated time on CafeCentra clients, that resulted in the total time for the given period.

For the Unlocked Tickets Report, the report lists information about all user accounts unlocked within the selected time frame and the name of the administrators that unlocked the user accounts as well as the value of the user accounts unlocked.

For the Unlocked Tickets Summary, the report summarizes all the user accounts unlocked by administrators within the selected time frame and groups the information by administrator name along with the cumulative total of the value of the user accounts unlocked within the selected time frame by each administrator.

PLEASE NOTE that information about only jobs printed within the last one month are kept in the database for the Printed Jobs Report.

To publish a generated income report, with the generated report being in active view, click the Publish Report button. This publishes the report as HTML and loads it in the default Internet browser. You can now choose to print or save the report.

To print a generated income report, with the generated report being in active view, click the Publish Report button. From the default Internet browser where the published report is loaded, you can print the report as appropriate.

To view the events log for CafeCentra server and the clients, click the Events Log shortcut. This brings up a view listing recorded happenings on the server and clients, the time of occurrence, the source of the happening or event and the status of the event ordered by date.

PLEASE NOTE that CafeCentra deletes all events log older than a month automatically to ensure that its operation is not hampered by a large event’s log database.

To create or edit User Account Schemes, click the Schemes shortcut button. This brings up a listing of available or pre-created User Account Schemes.

To create a User Account Scheme, click the Create New Scheme button. You would be presented with a screen where you can type in the scheme details such as Scheme Name, Unit Amount, etc. The details are similar to the details generally provided when trying to create user accounts without schemes. Click the Create or Save button to create and save the details of the new scheme. The schemes concept provides a way to store the basic details for the creation of different groups of user account and avoid the repeated typing of such details. Note that Scheme Names cannot be separated by comma or space. They have to be a continuous word made up of alphabets and numerals.

To edit a User Account Scheme, click the Edit Selected Scheme button after you have selected the scheme you wish to edit from the list of available schemes or simply double-click the scheme you wish to edit on the list of available schemes. You would then be presented with a screen where all the details of the selected schemes are shown. Edit the details you wish to edit and click the Update or Save button to save the changes you have made.

To create User Accounts with Schemes, click the Accounts Creation with Schemes button on the toolbar or go to the Actions Menu->Client Management and select the Account Creation With Schemes sub-menu. You would be presented with a screen where you can simply select the scheme you want the User Account to be created to be based on and then fill in the extra details such as the number of accounts you wish to create, the Batch Prefix for the accounts and the password size. You can then click the Create Accounts button and after the accounts have been created, click the Publish Accounts button.


Using The Server Toolbar

The CafeCentra server toolbar contains seven buttons. Taking the buttons from the leftmost one with the Printer icon and moving towards the right:

To print all unprinted client user accounts, click the first button with the Printer icon to load a print preview of all unprinted client user account and click the Print button on the print preview screen to print all the client user accounts that have not been printed at any point in time.

To toggle the shortcuts bar, i.e. hide or unhide the shortcuts panel on the left hand side of the CafeCentra server screen, click the second button leftmost button on the toolbar [next to the print all unprinted records button]

To switch to Guest Administrator account, click the button with the double-keys icon [next to the toggle shortcuts bar button]. This switches out the currently logged on administrator to the Guest Admin Account.

To switch to another Administrator Account, click the button with the two users and a key icon [next to the switch to guest admin account button]. This brings up the Switch Server Administrator dialog. Type in the Username and Password of the administrator who wishes to logon and then click the OK button.

To access the User Accounts Creation with Schemes feature, click the button with the wand and notebook icon [next to the switch server administrator button]. This loads the user accounts creation with schemes screen into the main view.

To access the Client User Account Creation pane quickly, click the button with the 2 Users and a Computer icon [next to the big question mark button]. This loads the view for the client user quickly.

To view Network Print Jobs Queue, click the button with the Network Printer icon [next to the 2 Users and a Computer icon button]. This brings up a dialog with all print jobs currently queued on shared printers and/or network printers covered by CafeCentra.

To access the Client User Accounts History quickly, click the button with the user in a computer icon [next to the network printer button]. This brings up the Client User Accounts History dialog for faster access.


Understanding the Server Main Menu

The CafeCentra server menu consists of four main or root menu which are the Actions, View, Tools and Help menu.

The ACTIONS MENU consists of four sub-menus which are captioned Client Management, Server Management, Switch Administrator and Shutdown CafeCentra Server respectively.

The Client Management sub-menu deals mainly with actions that a client oriented such as client user account creation and regular client maintenance scheduling.

To create a User Account Scheme, select the User Account Schemes on the Client Management extended sub-menu and you would be presented with a screen where you can type in the scheme details such as Scheme Name, Unit Amount, etc. The details are similar to the details generally provided when trying to create user accounts without schemes. Click the Create or Save button to create and save the details of the new scheme. The schemes concept provides a way to store the basic details for the creation of different groups of user account and avoid the repeated typing of such details. Note that Scheme Names cannot be separated by comma or space. They have to be a continuous word made up of alphabets and numerals.

To create User Accounts with Schemes, select the Account Creation with Schemes on the Client Management extended sub-menu. You would be presented with a screen where you can simply select the scheme you want the User Account to be created to be based on and then fill in the extra details such as the number of accounts you wish to create, the Batch Prefix for the accounts and the password size. You can then click the Create Accounts button and after the accounts have been created, click the Publish Accounts button.

To create client user accounts, select User Accounts on the Client Management extended sub-menu. See the Creating and Managing Client User Accounts section of this help for more information on creating and managing client user accounts.

To view a client user account history, select the User Account History on the Client Management extended sub-menu. This brings up a dialog in which you can enter the username of the required account information and click the Display button to view the account information and usage history.

To edit Client Standalone Settings, select the Client Standalone Settings on the Client Management extended sub-menu. This brings up the Client Standalone Administration Panel dialog where you can change the passwords for STANDALONE or CLIENTCONFIG administration profiles, set the maximum time that can be allocated by the STANDALONE profile and disable standalone time allocation with the STANDALONE profile while CafeCentra server is running. You can also view the Client Administration Panel by clicking the appropriate button on the CafeCentra server toolbar.

To view Network Print Jobs Queue, select the Network Print Jobs Queue on the Client Management extended sub-menu. This brings up a dialog with all print jobs currently queued on shared printers and/or network printers covered by CafeCentra. You can also view the Network Print Jobs Queue by clicking on the appropriate button on the CafeCentra server toolbar.

To edit CafeCentra Client Display Settings, select the Client Display Settings on the Client Management extended sub-menu. This brings up a dialog where you can configure the text to display on scrolling window on CafeCentra Clients and also the frequency of the update of the Clock display on the clients.

The Server Management sub-menu deals mainly with actions that a server oriented such as administrator account creation and server configurations.

To create administrator accounts, select Administrator Accounts on the Server Management extended sub-menu. See the Creating and Managing Server Administrator Accounts section of this help for more information on creating and managing server administrator accounts.

To create administrator accounts using the Administrator Accounts Wizard, select Administrator Wizard on the Server Management extended sub-menu. Read the instructions on the presented dialog and follow them to easily create new or edit existing administrator accounts.

To change the active administrator's password, select Administrator Password on the Server Management extended sub-menu. This brings up a password change dialog which displays the username of the active administrator. Type in the old administrator password in the Old Password box, the new administrator password in the New Password box and type in the new password again in the Confirm Password box and click the OK button.

To view the operations and system policies dialog, select Policy Settings on the Server Management extended sub-menu. See Operation and System Policies Management section of this help for more information about the operations and system policies dialog.

To view the server configurations and settings dialog, select Server Configurations on the Server Management extended sub-menu. The server configurations and settings dialog presents with Basic Configuration information such as the organization details & default billing units, Multi-Rate Billing Configuration and Special Computers Configuration. For more information about using the Server Configurations dialog, see the Server Configuration and Multi-Rate Billing section of this help file.

To manage CafeCentra Server Events Log and User Database, select Database Management on the Server Management extended sub-menu. This loads the CafeCentra Database Management dialog where you can purge events log and user accounts based on the options you select.

To configure Income Reports Mailing settings and options, select Income Reports Mailer on the Server Management extended sub-menu. This brings up the Income Reports Mailer configuration panel where you can specify the email address where your Income Reports would be automatically mailed. You can also set the mailing interval, whether daily, weekly or monthly and select the types of reports to include in the mailed income reports. Select/deselect the 'Enable Mailing of CafeCentra Income Reports' to enable or disable the mailing of reports as you may wish.

To change the default User Accounts Ticket Format, select Ticket Formats on the Server Management extended sub-menu. This brings up the CafeCentra Ticket Formats selection dialog where you can select the ticket format of your choice. If you select the Informational Ticket Format, you can set the additional text to display on the ticket by typing it into the box provided. The default is the text 'Thanks for coming'.

To configure Printer Monitoring Options, select Printer Monitoring Configuration on the Server Management extended sub-menu. This brings up the CafeCentra Printer Monitoring Configuration dialog where you can selectively configure CafeCentra Print Job billing rates and monitoring options.

To change the logged on administrator, select the Switch Administrator sub-menu of the Actions menu which brings up a login dialog. Type in the username and password of the administrator wishing to log on to the server and click the OK button.

To change to Guest Administrator account, select the Switch To Guest Admin sub-menu of the Actions menu which automatically switches the logged on administrator to the default Guest administrator account. The Guest administrator account has not rights.

To shutdown the CafeCentra server, select the Shutdown CafeCentra Server sub-menu of the Actions menu. Please note that you must have the administrative right to shutdown the server for this action to be implemented.

The VIEW MENU consists of seven sub-menus which are captioned Status Bar, Shortcut Bar, Client User Accounts, Workstations, Income Reports, Events Log and Last Published Accounts respectively.

The Status Bar and Shortcut Bar are checked by default. Selecting them toggles the visible status of the Status bar and the Shortcuts Panel respectively.

The Client User Accounts, Workstations, Income Reports and Events Log perform the same function as the Shortcuts Panel's Client Users, Workstations, Income Reports and Events Log respectively. See the 'Using Server Shortcuts' section of this help for more information.

The Last Published Accounts loads the last published user accounts in the default Internet Browser so you can print or save it.

The TOOLS MENU consists of nine sub-menus which are captioned Internet Connection Monitor, Database Auto Backup Config, Systems Utilization Monitor, CafeCentra IP Address Binder, Export Server Settings, Import Server Settings, Export User Database, Import User Database and Server Windows Task Manager respectively.

To create or edit Internet Connection Monitor Settings, select the Internet Connection Monitor sub-menu of the Tools menu by clicking on it. For more information about the Internet Connection Monitor, see the Server and Client Tools & Utilities section of this help.

To configure CafeCentra Server Database Auto-Backup, select the Database Auto-Backup Config sub-menu of the Tools menu by clicking on it. For more information about the Database Auto-Backup Config, see the Server and Client Tools & Utilities section of this help.

To view the utilization level of Computer Systems, select the Systems Utilization Monitor sub-menu of the Tools menu by clicking on it. This brings up the Systems Utilization Monitor dialog where you can view the utilization statistics and graph for a selected period by selecting the starting and ending dates of the period and clicking the View Utilization button.

To bind CafeCentra server to an IP Address or Range, select the CafeCentra IP Address Binder sub-menu of the Tools menu by clicking on it. This brings up the CafeCentra IP Address Binder dialog where you can specify the IP Address that CafeCentra should always bind to. Binding to a particular IP Address or IP Address Range ensures that CafeCentra server does not answer requests from other adapters if you have multiple adapters installed on the computer where CafeCentra server is installed. This utility is only useful and increases CafeCentra server performance if you have multiple adapters installed.

To export the current CafeCentra Server Settings, select the Export Server Settings sub-menu of the Tools menu by clicking on it. This brings up a CafeCentra Export Server Settings dialog. Navigate to the location where you wish to export the settings, type the name by which to identify the exported copy and click the Save button.

To import a previously exported CafeCentra Server Settings, select the Import Server Settings sub-menu of the Tools menu by clicking on it. This brings up a CafeCentra Import Server Settings dialog. Navigate to the location where the settings file you wish to import is located, select the server settings file [exported CafeCentra Server Settings file always have the extension *.csf extension] and click the Open button.

To export the current client user accounts database, select the Export User Database sub-menu of the Tools menu by clicking on it. This brings up a CafeCentra Export User Database dialog. Navigate to the location where you wish to export the database, type the name by which to identify the exported copy and click the Save button.

To import a previously exported client user accounts database, select the Import User Database sub-menu of the Tools menu by clicking on it. This brings up a CafeCentra Import User Database dialog. Navigate to the location where the user database you wish to import is located, select the user database file [exported CafeCentra user database always have the extension *.cbk extension] and click the Open button.

PLEASE NOTE that CafeCentra exports and imports only active user accounts and not the whole user accounts database including deleted accounts.

To view the list of tasks running on the host computer, select the Server Windows Task Manager sub-menu of the Tools menu by clicking on it.

The PLUGINS MENU consists of seven sub-menus which are captioned Client Security Plugin Config, CafeCentra Disk Clean Plugin, CafeCentra Server Extension, Programs Execution Manager, Bandwidth Monitor Config, View Bandwidth Traffic Graph and View Bandwidth Data Statistics respectively.

To configure Client Security Plug-In, select the Client Security Plugin Config sub-menu of the Plugins menu by clicking on it. For more information about the Client Security Plugin, see the Server and Client Tools & Utilities section of this help.

To configure CafeCentra Disk Clean Plug-In, select the CafeCentra Disk Clean Plugin sub-menu of the Plugins menu by clicking on it. For more information about the CafeCentra Disk Clean Plugin, see the Server and Client Tools & Utilities section of this help.

To configure CafeCentra Server Extension, select the CafeCentra Server Extension sub-menu of the Plugins menu by clicking on it. For more information about the CafeCentra Server Extension, see the Server and Client Tools & Utilities section of this help.

To configure Programs Execution Manager, select the Programs Execution Manager sub-menu of the Plugins menu by clicking on it. For more information about the Programs Execution Manager, see the Server and Client Tools & Utilities section of this help.

To configure Bandwidth Monitoring, select the Bandwidth Monitor Config sub-menu of the Plugins menu by clicking on it. For more information about the Bandwidth Monitoring Configuration, see the Server and Client Tools & Utilities section of this help.

To view Bandwidth Traffic Graph, select the View Bandwidth Traffic Graph sub-menu of the Plugins menu by clicking on it. You would be presented with a dialog showing the graph of the TCP & UDP Downloads and Uploads within the last five minutes and within the last half-hour for each computer connected to the network.

To view Bandwidth Traffic Statistics, select the View Bandwidth Traffic Statistics sub-menu of the Plugins menu by clicking on it. You would be presented with a dialog showing the tabulated numeric details of the TCP & UDP Downloads and Uploads within the last five minutes and within the last half-hour for each computer connected to the network.

The HELP MENU consists of six sub-menus which are captioned Help Contents…, Upgrade License On Next Run, Product License Information, CafeCentra Online Support Tips, Contact CafeCentra Online and About Earlyon CafeCentra.

To use the CafeCentra help system, select the Help Contents… sub-menu of the Help menu by clicking on it.

To upgrade your product license, select the Upgrade License On Next Run from the dropdown menu. This would place a check mark beside the menu. You can then shutdown CafeCentra server. When you restart it again, it would bring up the License dialog for you to apply the new or upgrade license and click the Close button. The license dialog would not come up again until the Upgrade License On Next Run is selected again for another upgrade.

NOTE that even if you do not apply a license upgrade when the dialog is on and rather close it, the action does not affect your previous license.

To view Product License Information, select the Product License Information from the dropdown menu. This brings up the Earlyon CafeCentra Server License Information providing information about the number of workstations licensed if the product is license, the evaluation status if still under evaluation, and the ProductID.

To visit online product support tips, select the CafeCentra Online Support Tips Technical Support sub-menu of the Help menu by clicking on it. This launches the default browser, pointing it to the CafeCentra Online Support Tips webpage.

To Contact CafeCentra Online, select the Contact CafeCentra Online sub-menu of the Help menu by clicking on it. This launches the default browser, pointing it to the CafeCentra online Contact webpage to help you contact the development and support team.


Understanding User Account Types

CafeCentra User Accounts are generally based on the concept of units. Each user account created as an original amount of units. The concept of units allows for the implementation of multi-rate browsing and special computer rates without having to redefine minutes in differing amount of seconds. One minute on any computer irregardless of the browsing rate remains equivalent to 60 seconds. It is the amount of units in an account and the active or current billing rate that now determines the number of minutes or time value of that account. If the amount of units in a user account is 100 units and the rate is 5 units per minute, then the time value of such an account is 20 minutes.

Each CafeCentra user account created is accompanied by a selling price, to allow for complete accountability. The selling price is different from the unit and is based on the currency configured in the Basic Configuration section of the Server Configurations dialog.

There are four different types of user account in CafeCentra namely Pre-Paid Regular, Pre-Paid Time Bound, Pre-Paid Restricted and Pre-Paid Use Once. However there is an additional concept know as the Auto-Refill User Account.

The Pre-Paid Regular User Account remains valid for as long as the expiry period is valid and there are units in the account. It can be used at all times of the day without any other restrictions. This is the most commonly used account type.

The Pre-Paid Time Bound User Account has a starting time and ending time between which the account is valid. Both starting and ending time consists of dates and fixed time. The Time Bound account cannot be used before the specified starting time and can not be used after the specified end time whether it has been used once or not. The Time Bound account type does not use the concept of units and is thus immune to multi-rate and special rate browsing. The Time Bound account when valid, always calculates relative to the end time. Thus if a time bound account has 10.00 AM to 3.00 PM of today as the starting and ending times respectively, the following is valid:

a. If you logon with it at 9.00 AM today, it would not be valid and thus the logon request would be denied.

b. If you logon with it at 11.00 AM, whether for the first time or not, what you get is 4 hours of browsing time.

c. The maximum time you can get from the account is 5 hours, which is when you logon at 10.00 AM; the specified starting time.

PLEASE NOTE that Time Bound user accounts, when in use, can not have their time paused by any means whatsoever during usage.

The Pre-Paid Restricted User Account is like the Pre-Paid Regular User Account. However pre-paid restricted user accounts can be limited to a time frame of operation and also specific weekdays as well as computers.

  • Time Based Restrictions. Restriction by time implies that restricted user accounts would only work within the specified time frame. If a user attempts to logon with the restricted user account outside that time frame, the logon would be denied even if there are units in the account.

  • Week-Days Based Restrictions. Restriction by week days implies that restricted user accounts would only work on the specified weekdays and the specified time frame if there is also a time based-restriction. If a user attempts to logon with the restricted user account outside the specified week days, the logon would be denied even if there are units in the account.

  • Computers Based Restrictions. Restriction by computers implies that restricted user accounts would only work on computers with their names starting with the specified letters.

The Pre-Paid Use Once User Account can only be used once. If a user logs on with a use once account, the moment he/she logs out, the account is no longer valid. Thus Pre-Paid Use Once accounts are only valid for single logons. Like Pre-Paid Regular user accounts, Pre-Paid Use Once accounts are also affected by multi-rate and special computer rates billing.

The Auto-Refill User Account is a Pre-Paid Regular or Pre-Paid Restricted User Account that is set to automatically refill with its original value daily, weekly or monthly. Thus at the specified refill interval, if the user account is used to logon, it would have the same amount of units as the original, added to the user account.

PLEASE NOTE that Auto-Refill works based on demand. Thus if a user does not use an auto-refill account that is for example set to daily interval, for a week, the next time the account is used, it is only auto-refilled for that day. No record of cumulative due auto-refills are added.


Server Configurations and Multi-Rate Billing

The CafeCentra Server Configuration dialog can be accessed via the Actions->Server Management->Server Configurations menu and sub-menu sequence. The Server Configuration dialog consists of three tabs namely Basic Configuration, Multi-Rate Billing and Special Computers.

The Basic Configuration tab allows you to change or edit information previously entered at the Server Configuration on first run. This includes company name and address which are displayed on the user tickets, the default billing rate, the currency name such as ‘dollars’, ‘pounds’, ‘naira’, etc that are used for reporting and ticket sales and the number of user minutes that would be remaining when a client user is warned of low units and reminded of the need to purchase more units of browsing time.

The Multi-Rate Billing tab allows you to configure different billing rates for different periods of the day. For times of the day that you do not specify any rate for under this tab, CafeCentra would automatically use the default billing rate from the Basic Configuration tab for those periods. CafeCentra server would automatically switch to the appropriate rate at the specified time without any user intervention. To ensure a high level of integrity using this feature, you should enable the ‘Enable Locking of Server Date and Time’ from the Server Operation Policies under Policy Settings. To enable or disable usage of multi-rate billing, select or deselect the ‘Enable Multi-Rate Billing of Browsing Time’ checkbox as appropriate.

The Special Computers tab allows you to configure some computers to bill usage at rates that are specified multiples of the normal rates at which other computers browse. For example you can configure a computer to bill at 0.5 or 2 times the normal rate. If multi-rate is enabled, whatever the active rate for a given time, CafeCentra automatically multiplies it with the specified multiplying factor to set the rate for the special computers. To enable or disable usage of special computer rates, select or deselect the ‘Enable Special Computer Rates’ checkbox as appropriate.

PLEASE NOTE that Multi-Rate and Special Computer Rate Billing does not require that you sell separate user account tickets. User accounts are based on the concept of units and the multi-rate or special computer rate only affects the rate at which the units is charged per minute of browsing time on CafeCentra clients. Thus a 100 unit ticket is worth 20 minutes of browsing time when the billing rate is 5 units per minute whereas that same 100 unit ticket is worth 10 minutes of browsing time when the billing rate is 10 units per minute.


Operations and System Policies Management

Policies in CafeCentra are divided into four categories, namely Server Operation Policies, Client Operation Policies, System Policies and Printer Monitoring Policies. Server or Client Operation policies are generally enforced on the CafeCentra Server or Clients as the names suggest while System policies are enforced on all CafeCentra clients. To edit any of the first three policy groups, select the Server Management sub-menu of the Actions menu and from the extended sub-menu, select Policy Settings by clicking on it. This brings up the CafeCentra Server's Policies dialog, which has three tabs captioned Server Operation Policies, Client Operation Policies and System Policies. Printer Monitoring Policies apply only to printers and can be accessed through Server Management sub-menu of the Actions menu under the Printer Monitoring Configuration.

SERVER OPERATION POLICIES relate only to CafeCentra server and are implemented on the server computer.

Selecting the 'Load Server automatically at Windows Startup' ensures that CafeCentra Server is automatically loaded immediately after windows boot-up on the server computer.

Selecting 'Automatically Delete Expired User Accounts' and/or 'Automatically Delete Zero Value Accounts' ensures that CafeCentra deletes these accounts at each startup without user intervention.

Selecting the 'Show Disconnection Dialog When Clients Disconnect' ensures that CafeCentra displays a dialog presenting client information whenever any CafeCentra clients disconnects from CafeCentra server.

Selecting the 'Enable Automated Server Login with Guest Admin Account' ensures that whenever CafeCentra server is starting up thereafter, it would automatically login with the Guest administrator account without any user intervention. Note that the Guest administrator by default and design has no rights assigned to it.

Selecting the 'Enable Automatic Locking of Server Date and Time' ensures that CafeCentra server locks the system date and time on the computer on which the CafeCentra server is running and prevents the date or time from being changed.

Selecting the 'Enable Client Computer Systems Utilization Monitoring' ensures that the CafeCentra Client Computer Utilization monitoring is activated. For more information about Client Computers Utilization Monitoring, check the Server Tools and Utilities section.

CLIENT OPERATION POLICIES relate only to CafeCentra clients and are mostly implemented on the client computers.

Selecting the 'Load Clients automatically at Windows Startup' ensures that all CafeCentra clients are automatically loaded immediately after windows boot-up on their host computers respectively.

Selecting 'Enable Auto-Scan for Server at Client Startup (DHCP)' ensures that all CafeCentra clients automatically search for the CafeCentra server at startup without having set any specific I.P. Address specifying the location of the machine running the server.

Selecting 'Allow Online Combination of User Accounts' ensures that client users can add the value of another valid client user account to the one in current use to increase it provided they supply the username and valid password of the other account. In this case, CafeCentra combines the two accounts as one and invalidate the separate details of the account added. Thus if the user does not finish using the amount on the combined accounts, he would have to supply the username and password of the first account with which he logged on and added to, to access the combined accounts. Thus for example if you add Account 2 to Account 1, then at next logon, only Account 1 remains valid and contains the details of the combined accounts.

Selecting 'Enable Display of User Tips on Clients' ensures that whenever a client user logs in, CafeCentra briefly displays a windows tip near the Options button on the Client Application bar notifying the user of the uses of the button.

Selecting 'Disable User Timer pausing directly on Clients' ensures that the option for a client user to manually pause his time from the client is disabled. Thus client timers would only be paused if required from the server.

Selecting the 'Disable CTRL, ALT, TAB and ESC Key Combos on clients' ensures that CafeCentra disables the CTRL-ESC and ALT-TAB key combinations on the client computers.

Selecting the 'Log User Out If Server Is Down for more than 5 minutes' ensures that even if CafeCentra is unavailable for up to 5 minutes, active client users are not logged out. Whenever CafeCentra starts running, the units left in each active user's account is synchronized with the server. By default, CafeCentra clients would log out users if the server is unavailable for more than 30 seconds.

Selecting the 'Automatically Set Internet Explorer Homepage on Clients' allows you to specify the desired homepage address and CafeCentra automatically sets Internet Explorer home page on computers running CafeCentra clients to the desired address.

Selecting the 'Close All Program Windows After User Logout On Clients' allows you to specify the duration in minutes after each user logout, that CafeCentra should close all opened windows on client computers.

Selecting the 'Limit Number of IE Windows on Client Workstations' allows you to specify the maximum number of Internet Explorer windows that CafeCentra should allow each user to keep open at any given time while browsing.

Selecting the 'Disable Monitoring of Local Client Print Jobs' ensures that CafeCentra does not monitor print jobs sent to a local printer on any CafeCentra client. CafeCentra would only continue to monitor network or shared printers if Print Monitoring is enabled with this option selected.

Selecting the 'Disable Client User Print Job Notification' ensures that CafeCentra does not display a dialog notifying a client user each time it detects that a job has been sent to the printer by the user. CafeCentra simply queues the job without giving the user the option to cancel the job if it had been sent by mistake or informing the user about the number of pages and copies to be printed.

SYSTEM POLICIES are presently enforced only on the client machines and on all connected client machines. Thus there is not selective implementation of system policies on client machines.

To enforce any system policy from the list, click on the caption representing the policy in the list to select it.

To commit all policy changes, click the Apply button. This applies both Operational and System policies. However CafeCentra does not send these changes immediately to all connected clients, but keeps them only in store till all clients connect again, except the OK button is clicked when exiting the dialog.

To commit all policy changes and exit the dialog, click the OK button. CafeCentra automatically sends all recently effected policy changes to all clients connected at the moment and keeps it in store for all unconnected clients till they connect. CafeCentra brings up a warning dialog asking you if you wish to remotely reboot all the clients immediately as some settings may not take effect until after reboot.

To cancel all policy changes and exit the dialog, click the Cancel button. Please note that policy changes already committed by clicking the Apply button cannot be changed by clicking the Cancel button. However, such changes are not sent immediately to any client but kept in store till the next time the clients connect. To change committed policy settings, reselect or deselect options as required and then click the Apply button.

PRINTER MONITORING POLICIES are jointly enforced on CafeCentra Client computers as well as the Server depending on the selected options.

Selecting 'Enable Print Job Monitoring on Clients' ensures that whenever a client user sends a job to a printer on the network, CafeCentra holds the job(s) until an administrator authorizes it or deletes the job if it has been held unprinted for 2 hours.

Selecting the 'Prevent Print Job Interaction Via Windows Print Manager' ensures that CafeCentra prevents anybody from interacting with print jobs through the Windows Print Manager. Thus nobody can carry out actions such as pausing or deleting print jobs queued by CafeCentra through the Windows Print Manager dialog.

Selecting the 'Monitor Print Jobs from CafeCentra Server Computer' ensures that CafeCentra monitors all print jobs being printed from the computer running CafeCentra server, to the network or generally shared printer if Print Monitoring is on.

Selecting the 'Monitor Print Jobs from Clients Not Running CafeCentra' ensures that CafeCentra monitors all print jobs being printed from the computers not running CafeCentra client, to the network or generally shared printer if Print Monitoring is on.

Selecting the 'Prevent Printing Directly from CafeCentra Server Computer' ensures that CafeCentra prevents jobs from being printed from the computer running CafeCentra server, to the network or generally shared printer if Print Monitoring is on.

Selecting the 'Prevent Printing from Clients Not Running CafeCentra' ensures that CafeCentra prevents jobs from being printed from computers not running CafeCentra client, to the network or generally shared printer if Print Monitoring is on.

Selecting the 'Auto-Deduct Print Job Cost from Client User Accounts' ensures that CafeCentra automatically deducts the cost of a print job from the account of the active client user on the computer from which the print job was sent.

To specify the currency rate per printed page, specify the amount in the pre-configured currency rate that you wish to bill each printed page. Note that this is only for accounting purposes as it is print jobs units is what is used when auto-deducting print job billing from user accounts.

To specify the units rate per printed page, specify the amount in units that you wish CafeCentra to automatically deduct from a user's account per page printed.

To monitor only a selected list of printers, select the Monitor only the selected printers found on this list of installed printers option. If this option is not selected, CafeCentra monitors all the printers that can be seen from the CafeCentra Server whether shared or local.

To enable monitoring of print jobs, select the Enable Monitoring of Print Jobs option. Always conclude all changes by clicking the Apply and OK buttons.


Server and Client Tools and Utilities

The Internet Connection Monitor

The Internet Connection Monitor is a CafeCentra server-integrated utility for that monitors the Internet Connection gateway to detect slow internet connection and take appropriate actions as directed by the Internet Connection Monitor settings. To configure the Internet Connection Monitor, select the Internet Connection Monitor sub-menu of the Tools menu by clicking on it. This brings up a dialog. Read the notice above the Monitor Information frame carefully. Enter the IP Address of the Internet Connection gateway, which is your ISP gateway in the format consisting of four dots mixed with numerals in a single string [i.e. 127.101.225.103] Type in the Response Time Out which is the number of seconds for which if there is no response from the gateway to a request, the Internet Connection Monitor is to assume a slow network connection. The Monitoring Interval has a default value which is chosen for optimum performance. However, you may change the value as you wish bearing in mind that you carry the performance responsibility.

To auto-warn client users on detecting a slow internet connection, select the 'Automatically Warn Client Users on Detecting Slow Internet Connection' box. With this selection, whenever the Internet Connection Monitor detects a slow connection, it automatically sends a message to all client users warning them that the connection is slow and allowing them to pause their timers or continue working with the click of a button. If any user chooses to pause his/her timer, CafeCentra automatically un-pauses the timer once the connection improves. If the user chooses to continue working, CafeCentra continues to warn the user at the monitoring interval until the connection improves. However the user has the option of selecting the 'Don't bother me again until I login again' checkbox on the message display to have CafeCentra stop bothering him/her until.

To disable internet connection monitoring, select the 'Disable Internet Access Gateway Monitoring' box.

The CafeCentra Client Security Plug-in

The CafeCentra Client Security Plug-in is a CafeCentra server-integrated utility that allows CafeCentra to be configured to restrict specified websites on CafeCentra clients, prevent changes to the computer desktops where CafeCentra clients are running, prevent web downloads and installations, changes to Internet Explorer home page and much more. To configure the CafeCentra Client Security Plug-in, select the Client Security Plugin Config sub-menu of the Plugins menu by clicking on it. This brings up the CafeCentra Client Security Plugin Configuration dialog. There are two tabs labeled 'Internet Explorer Security Settings' and 'Web Install Security Settings'.

To configure web sites restriction, with the Internet Explorer Security Settings tab active, select the 'Enable Restriction of Web Sites on CafeCentra Clients' checkbox. Type in each website you want to restrict into the box beside the Add Site button and click the Add Site button each time to add the web site to the list of restricted websites. To remove a restricted web site from the list, select the web site and click the Remove Site button. To edit a restricted web site on the list, select the web site and click the Edit Site button. Then make any changes you wish to make and then click the Update Site button which was initially the Edit Site button but with the caption now changed.

To configure specific Internet Explorer security settings, with the Internet Explorer Security Settings tab active, select the 'Enable Client Internet Explorer Security Settings' checkbox and then select each Internet Explorer setting you wish to restrict on the list. To ensure that those settings are always kept at the default Internet Explorer settings, select the 'Always Use the Default Windows Settings for Internet Explorer' checkbox.

To prevent changes to Windows Desktop Wallpaper, with the Web Install Security Settings tab active, select the 'Prevent changes to the default Windows Desktop Wallpaper'. Please note that CafeCentra takes the active windows desktop wallpaper at the time this setting is effected as the default windows desktop wallpaper.

To prevent the installation of unsafe ActiveX controls and Programs from web sites, with the Web Install Security Settings tab active, select the 'Prevent Installation of Un-Safe ActiveX Controls/Programs from web sites'.

To prevent the installation of third-party Internet Explorer Search Bars and Toolbars, with the Web Install Security Settings tab active, select the 'Prevent Installation of Third-Party Internet Explorer Search and Toolbars'. To prevent all forms of third-party Internet Explorer Search and Toolbars, select the 'Do Not Allow Any Third-Party Search and Toolbars' option. To allow all existing third-party Internet Explorer Search and Toolbars as at the time this settings were effected, select the 'Allow Existing Search and Toolbars' option. To allow only third-party Internet Explorer Search and Toolbars from recognized vendors or companies, select the 'Allow Only Search and Toolbars From The Following Vendors' option and type in the names of these companies one after the other and click Add Vendor button.

The CafeCentra Disk Clean Plug-in

The CafeCentra Disk Clean Plugin is a CafeCentra server-integrated utility that allows CafeCentra to be configured to automatically clean the hard disks of computers on which CafeCentra Clients are running of junk, temporary internet and windows files, etc. To configure the CafeCentra Disk Clean Plugin, select the CafeCentra Disk Clean Plugin sub-menu of the Plugins menu by clicking on it. This brings up the CafeCentra Disk Clean Plugin Configuration dialog which has two tabs labeled 'Activity Configuration' and 'Schedule Configuration'.

To configure CafeCentra Client Disk Cleaning Activity, with the Activity Configuration tab active, select appropriate file groups from the list of files or file to delete during a cleaning up exercise. When the option of 'Delete Temporary Windows (TEMP) Files' is selected, the user is allowed to select file extensions to delete from the windows temporary files folder. Click the Default button to have a list of the default extensions selected. The user is also required to select the age in days of unmodified files to delete. The recommended age is at least 7 days. When the option of 'Delete Files In Specified Cache Folders' is selected, the user is allowed to select the list of cache folders or directories as well as the file extensions to delete in the specified cache folders. To have CafeCentra clean the My Documents and windows desktop, simply type in the cache folder name as My Document and Desktop respectively.

Please note that the deletion of files in specified cache folders is not recursive. CafeCentra would only delete the files that meet the configured criteria in the specified cache folder only and not its sub-folders or sub-directories.

To configure CafeCentra Client Disk Cleaning Schedule, with the Schedule Configuration tab active, select the appropriate or desired disk cleaning up schedule option and specify any required additional information or criteria. Select the 'Enable Disk Cleanup and Maintenance Schedule' box and click the Apply button to save the configuration.

To configure CafeCentra Client Disk Cleaning based on free disk space, with the Schedule Configuration tab active, type in the minimum free disk space allowed on each client hard disk partition or logical drive. Then select the option appropriate for the action to take in the event that the free space on any drive falls below the configured minimum free disk space.

The CafeCentra IP Address Binder

The CafeCentra IP Address Binder is a CafeCentra server-integrated utility that binds CafeCentra Server to a specified IP Address range in situations where the host computer has multiple network adapters and the Café Administrator wants CafeCentra Server to work only with one adapter that translates to the adapter for their internal local area network (LAN). To configure the CafeCentra IP Address Binder, select the CafeCentra IP Address Binder sub-menu of the Tools menu by clicking on it. This brings up a dialog.

To enable CafeCentra Server IP Address binding, select the 'Bind CafeCentra Server to Selected Address' option and choose from the list of IP Addresses of the adapters detected by CafeCentra on the host computer. Then click OK button.

To disable CafeCentra Server IP Address binding, select the 'Do Not Bind CafeCentra Server to Any Address' option and click the Ok button.

The CafeCentra Server Extension

The CafeCentra Server Extension is a CafeCentra server-integrated utility for that allows Café Administrators and Owners to remotely logon to CafeCentra Server and perform activities such as viewing of Income Reports, creation of User Accounts, unlocking of User Accounts and much more. To configure the CafeCentra Server Extension, select the CafeCentra Server Extension sub-menu of the Plugins menu by clicking on it. This brings up a CafeCentra Server Extension Configuration dialog.

To configure the timeout interval for any remote CafeCentra Server session, specify the timeout period in seconds on the box labeled 'User Session Timeout Interval'. If for example you want an administrator who has remotely logged on to be logged out if he or she has been inactive for 10 seconds, type in 10 for the session timeout interval.

To configure the Server IP Address to bind on for remote login sessions, specify the IP Address in the box labeled 'Server IP Address to Bind On' that you wish CafeCentra Server to use for the server extension remote access. Note that the specified address is generally the one for the network access on your local area network. If you want to access CafeCentra Server Extension from your wide area network, specify the network adapter IP Address that the host CafeCentra Server computer uses on your wide area network.

To configure the Server Extension Communication Port, type the communication port in the box labeled the 'Server Extension Communication Port'. By default the active port is 80.

To access CafeCentra Server Extension remotely, start Internet Explorer or any other Internet Browsers like Opera, Netscape, etc on the computer from where you want to access CafeCentra Server Extension. Type in the IP Address to which CafeCentra Server Extension has been configured to bind to on the address bar of the browser prefixed by http:// and completed by a full colon and the port address (i.e. :80). For example if you have configured your CafeCentra Server Extension with Communication Port 8000 and IP Address to bind on as 192.168.0.1, then to access CafeCentra Server Extension, type http://192.168.0.1:8000 on the browser address. Please note that if you used communication port 80, you do not need to type the port number because that is the default. Also if you use any address in the range 127.0.0.1 to 127.0.0.255 you would not be able to access the Server Extension from any other point other than the computer on which CafeCentra Server is running.

To enable or disable CafeCentra Server Extension, check or uncheck the small box labeled 'Enable CafeCentra Server Extension'.

The Programs Execution Manager

The Programs Execution Manager is a CafeCentra server-integrated utility that can be configured to automatically restrict the execution of programs on the CafeCentra client computers. The administrator can either specify the programs that are allowed to run or ones that are banned from running, thus ensuring safety of their computers. To configure the Programs Execution Manager, select the Programs Execution Manager sub-menu of the Plugins menu by clicking on it. This brings up the Earlyon CafeCentra Security Manager dialog.

Under the Basic Configuration, select the appropriate policy (i.e. Allow Access or Disallow Access) for programs being run from each of the listed media.

For the Local Hard Disk, selecting Allow Access would allow all programs to run except the ones listed on the Programs Dis-Allowed Execution list. Selecting Restrict Access would disallow other programs from being run except those listed on the Selectively Allowed Programs list. In either of the situations for the Local Hard Disk policies, all Operating System programs such as Notepad, Windows Media Player, WordPad, Internet Explorer, etc would be able to run without any hindrance. In addition, all Microsoft Office programs, Yahoo Messenger and MSN Messenger would be able to run without hindrance.

Select the 'Enable Earlyon CafeCentra Security Manager' option at the lower end of the dialog and click the OK button to enable programs restriction on client computers.

The Bandwidth Monitor Plug-in

The Bandwidth Monitor Plug-in is a CafeCentra server-integrated utility that allows CafeCentra Server to monitor the bandwidth traffic going through the IP Network Gateway and to automatically make the information available in a graphical form and tabulated numeric statistics. The plug-in could be configured to take certain actions if a client computer exceeds a set bandwidth threshold (i.e. the administrator could be warned via a message screen or the client computer’s connection reset to terminate all active downloads). To configure the Bandwidth Monitor Plug-in, select the Bandwidth Monitor Config sub-menu of the Plugins menu by clicking on it. This brings up the Bandwidth Monitor Configuration dialog.

Under the Basic Settings tab, specify the IP Address Range For Local Computers on your network. Ensure that it is only the first 3 octets of the IP Address of your computers that is specified. For example 192.168.0 would simply cover all computers in the range of 192.168.0.1 to 192.168.0.255

Also select the IP Address of the Gateway for Internet Traffic on your Local Area Network. This is the gateway that s configured either manually or automatically on all your computers connecting to the internet. It is more often one of IP Addresses of the computer on which CafeCentra Server is running which is sharing the Internet Connection. This IP Address cannot be manually entered and has to be selected from the list displayed by CafeCentra.

Under the Advanced Settings tab, select the Bandwidth Display Update Frequency In Minute from the provided drop down box to regulate the frequency of update of bandwidth traffic information. Select the other listed option to enable them. To regulate or set a threshold for bandwidth for each computer on your network, select the option labeled "Limit Instantaneous Bandwidth Of Client Computers To" and specify the numeric value of the bandwidth threshold only. For example to limit to 4kbps, simply insert 4. On the Action On Client Exceeding Bandwidth Limit, select the appropriate or desired action for CafeCentra to take.

To enable the monitoring of bandwidth traffic, select the option labeled "Enable Monitoring of Internet Bandwidth and Traffic on Specified Gateway" and click on the OK button.

The Server Database Auto-Backup Utility

The Server Database Auto-Backup Utility is a CafeCentra server-integrated utility that can be configured to automatically backup CafeCentra Server Database to a specified location or an arbitrary location on the host CafeCentra Server computer. To configure the Server Database Auto-Backup Utility, select the Database Auto-Backup Utility sub-menu of the Tools menu by clicking on it. This brings up the Auto-Backup Server Database Configuration dialog.

Select the 'Always backup to the location selected and specified below' to specify a location where CafeCentra would automatically back the database to. If this option is not selected, CafeCentra would back up to an arbitrary location on the host computer.

Select the 'Always keep for restore operations the Last 2 or 3 Consecutive Backups' option to have CafeCentra keep the last 2 or 3 consecutive backups. By default if this is not selected, CafeCentra Server would keep the last 1 backup.

Select the backup option of backing up at specified time or interval to set the backup schedule.

Select the 'Enable the automated backing up of CafeCentra Server database' to enable the automated backing up of server database.


Client Operation and Features

Client Administration and Settings

CafeCentra client operates in two modes, which are the Client-Server and the Standalone mode.

Whenever CafeCentra client loads, it attempts to connect to the CafeCentra server. If it is able to do so, it begins to operate in the client-server mode. In this mode, client user accounts created on the server could be used on the client and gets updated on the server as appropriate. Whenever the client is connected to the server, a caption on the top right hand corner displays this information.

However, in the event of the client being unable to connect to the server due to network failure, unavailability of the server or some other problem, the client operates in a Standalone mode. This means the only way to use the client is to log on to it with the usernames: STANDALONE or CLIENTCONFIG with the valid respective passwords. Login on as STANDALONE or CLIENTCONFIG presents you with a Standalone Administration Panel. To allocate time, you specify the time in minutes in the time allocation box and click the OK button. A CLIENTCONFIG user has the extra privilege of clicking the Configure button to load the Client Configuration Panel. This Panel presents the administrator with two tabs namely; Server Address Detection and Client Policies and Actions tabs.

To allocate standalone client browsing time, the administrator types in the number of minutes he/she wishes to allocate into the time allocation box of the Standalone Administration Panel and clicks the OK button. CafeCentra adds an extra 2 seconds to the user time to compensate for administrator delay in handing over to the client user. The user time is displayed in Red on the application bar docked at the top of the desktop window.

To locate CafeCentra server if host computer IP Address is known, select the Use Manual Server IP Address option of the Server Detection tab on the Client Configuration Panel, type in the IP Address in the box directly before the option in the long string format [i.e. 127.0.0.1] and click the Locate CafeCentra Server button. A message on the panel notifies you if the server was located or not.

To locate CafeCentra server if host computer IP Address is unknown, select the Autodetect Server IP Address option and click the Locate CafeCentra Server button. The client scans the whole local area network (LAN) for a computer running the CafeCentra server and displays the IP Address if found.

PLEASE NOTE that if the CafeCentra server is not already running on the host machine of which the IP address is supplied if using manual detection or on any computer on the LAN on which the client computer is if using auto-detection, CafeCentra client cannot locate it under any circumstance.

To disable client startup with Windows on the host computer, select the ‘Disable Client Startup with Windows’ checkbox on the Client Policies and Actions tab of the Client Configuration Panel.

To disable system policies on the client host computer, select the ‘Disable Client System Policies’ checkbox on the Client Policies and Actions tab of the Client Configuration Panel. Note that this disables it only on the client computer and only for the duration of operation without connecting to the server.

To allow CafeCentra client to be uninstalled, select the ‘Allow CafeCentra Client Uninstall’ checkbox on the Client Policies and Actions tab of the Client Configuration Panel. Note that this allows the client to be uninstalled only if it is not restarted again after this change, before uninstall action is carried out.

To shutdown the CafeCentra client currently running, select the ‘End CafeCentra Client Program’ checkbox on the Client Policies and Actions tab of the Client Configuration Panel.

To reboot or shutdown client computer, select the appropriate action from the Operating System Actions dropdown.

To immediately carry out actions based on all the Configuration Settings, click the OK button. To cancel all alterations to existing settings, click the Cancel button.

PLEASE NOTE that clicking the Cancel button does not reverse Server Detection search results. If other options where selected alongside Operating System Actions such as reboot or shutdown, the client effects all such changes before rebooting or shutting down the system.

Client Operation

When the CafeCentra client is in active use, the CafeCentra client application bar is docked at the top of the screen. On the left of the bar is always displayed the remaining time on the active user account in Green Colour. If the user time has been allocated by an administrator using the standalone login, the user time is displayed in Red Colour for instant differentiation at a glance.

Centered on the application bar is an advert panel which regularly displays the Earlyon CafeCentra banner. Clicking on this banner would launch the default browser on the system, pointing it to CafeCentra website.

To Logout of CafeCentra client, click the application bar’s Log Out button.

To combine another user account with the active user account, click the Options button and select the Combine User Accounts from the dropdown menu by clicking on it.

To View Print Job Queue on the client, click the Options button and select View Print Jobs from the dropdown menu by clicking on it. This brings up the Earlyon CafeCentra Print Monitoring dialog which lists all pending print jobs on the client.

To Close All Opened Windows, click the Options button and select Close All Windows from the dropdown menu by clicking on it. This closes all opened windows including Internet Explorer and Windows Explorer windows.

To Launch Yahoo Mail or Hotmail Login, click the Options button and select Check Mail and Yahoo Mail or Hotmail from the dropdown menu by clicking on it. This launches a new instance of Internet Explorer and loads it with the Yahoo Mail or Hotmail Login page as required.

To Authorize any Print Job, first click the Details >> button on the dialog and input the administrator password in the revealed textbox. Then click OK. If the password is valid, the Printer Job menu and the Print Now button are enabled. The administrator can now select the job to print and either click the Print Now button to print or use the Printer Job menu to perform the desired action on the print job(s) listed or selected.

PLEASE NOTE that STANDALONE and CLIENTCONFIG by design always have the right to authorize print jobs.

To search for information on the world wide web, click the Options button and select the Search The Web from the dropdown menu by clicking on it. CafeCentra launches the default browser, pointing it to the website for the best search engine on the internet.

To Visit the CafeCentra Hotlist Online, click the Options button and select the CafeCentra Hotlist from the dropdown menu by clicking on it. CafeCentra launches the default browser, pointing it to the CafeCentra Hotlist site on the internet. This site presents a quick link to some of the most popular sites on the internet for information, entertainment and education.

To Load Client Configuration Panel, click the Options button and select the Client Configuration Panel from the dropdown menu by clicking on it. CafeCentra brings the Client Configuration Panel that allows for Server IP Detection and Client Policies & Actions to be carried out. This requires the CLIENTCONFIG username and password. This panel is also available by login on as CLIENTCONFIG and clicking the Configure button on the presented window instead of allocating time.

To Logon to CafeCentra Client, click anywhere on the CafeCentra main form screen as directed by the caption on the top right hand corner of the form or press the key combination ALT-L. Enter you username and password in the pop-up Login form and click the Login button.

To Logon to CafeCentra Client as Administrator, click anywhere on the CafeCentra main form screen as directed by the caption on the top right hand corner of the form or press the key combination ALT-L. Enter you username and password in the pop-up Login form, select the “Login as Client Administrator” option box and click the Login button.

PLEASE NOTE that for security reasons, CafeCentra removes the Login form if a user does not login within 30 - 45 seconds of the Login form being displayed. In such circumstances, clicking anywhere on the screen would display the Login form again.

If the administrator has enabled user tips, immediately any user logs in, a windows tip is shown near the options button to inform the user of its use. This tip box disappears automatically after 10 seconds or on a user clicking the OK button.

If Print Monitoring is enabled, CafeCentra automatically displays the Print Monitoring dialog whenever it detects a new document has been sent to a printer. This dialog box notifies the user to either have the print jobs authorized immediately or later. And if the job has been sent by mistake, the user can cancel it.

PLEASE NOTE that CafeCentra queues only a maximum of the 3 most recent jobs sent to a printer at a time. Any job queued longer than 2 hours is automatically deleted.


CafeCentra License Agreement

SOFTWARE LICENSE AGREEMENT

IMPORTANT: PLEASE READ THE TERMS AND CONDITIONS OF THIS LICENSE AGREEMENT CAREFULLY BEFORE USING THE SOFTWARE. EARLYON TECHNOLOGIES LTD IS WILLING TO LICENSE THE SOFTWARE TO YOU AS THE INDIVIDUAL, THE COMPANY, OR THE LEGAL ENTITY THAT WILL BE UTILIZING THE SOFTWARE (REFERENCED BELOW AS "YOU OR YOUR") ONLY ON THE CONDITION THAT YOU ACCEPT ALL OF THE TERMS OF THIS LICENSE AGREEMENT. THIS IS A LEGAL AND ENFORCEABLE CONTRACT BETWEEN YOU AND EARLYON TECHNOLOGIES LTD. BY INSTALLING THESE PROGRAMS YOU AGREE TO ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO THESE TERMS AND CONDITIONS PLEASE IMMEDIATELY ERASE THE PROGRAMS FROM YOUR COMPUTER MEMORY AND MAKE NO FURTHER USE THEM.

1. Evaluation, Registration and Licensing

Subject to the terms below, you are hereby licensed to use the Software for evaluation purposes without charge for a period totaling 240-Hours or approximately 10 full days. To use this software after the 240-Hour trial period you are required to pay a license fee commensurate with the number of client programs you would wish to run with the server program. Unregistered use of the Software after the 240-Hour trial period is in violation of this agreement and international copyright laws.

2. Use of the Software

In consideration of the license fee you have paid, which is your purchase price of the program, Earlyon Technologies Ltd grants to you a nonexclusive right to use and display this copy of CafeCentra Server on a single computer and the CafeCentra Client on as many workstations as you have purchased the license. You may not copy your ProductID and the provided License Key and give the copy to others to use. Earlyon Technologies Ltd retains ownership and title of the program, both as originally recorded and all subsequent copies made. This program is licensed only to you and may not be transferred, assigned, rented, leased, sold or otherwise disposed of to anyone else. This Agreement does not grant you any intellectual property rights in the Software.

3. Disclaimer of Warranty

This software and the accompanying files are being delivered to you “AS IS” and without warranties as to performance or merchantability or any other warranties whether expressed or implied. Because of the various hardware and software environments into which the Software may be put, no warranty of fitness for a particular purpose is offered.

4. Restrictions

You agree not to modify, adapt, translate, reverse engineer, decompile, disassemble or otherwise attempt to discover the source code of the Software. You may not alter or modify the installer programs or create a new installers and/or self-extracting executable programs for the software.

5. Distribution

You are hereby licensed to make as many copies of the Earlyon CafeCentra self-extracting installation programs as you wish; to give exact copies of the original self-extracting installation programs to anyone; and to distribute the self-extracting installation programs via electronic means. You are specifically prohibited from charging for or requesting donations for any such copies.

The latest version of Earlyon CafeCentra is always available on the Earlyon Technologies CafeCentra home page at: www.cafecentra.com

6. Termination

Without prejudice to any other rights, Earlyon Technologies Ltd may terminate this Software License Agreement if you fail to comply with the terms and conditions of this Software License Agreement. In such event, you must destroy all copies of the Software Product and all of its component parts.

7. Support Services

Earlyon Technologies may provide you with support services related to the Software Product ("Support Services"). Use of Support Services is governed by the Earlyon Technologies policies and programs described in the user manual, in "online" documentation, and/or in other Earlyon Technologies-provided materials. Any supplemental software code provided to you as part of the Support Services shall be considered part of the Software Product and subject to the terms and conditions of this Software License Agreement. With respect to technical information you provide to Earlyon Technologies as part of the Support Services, Earlyon Technologies may use such information for its business purposes, including for product support and development. Earlyon Technologies will not utilize such technical information in any manner that personally identifies you.

CAFECENTRA CONTACT ADDRESSES

Web Site: http://www.cafecentra.com

E-mail: info@cafecentra.com


CafeCentra Technical Support

An Online Frequently Asked Questions section is provided by Earlyon Technologies regarding CafeCentra at http://www.cafecentra.com/faq.htm. In addition tips and hints on various CafeCentra features and usage from the product developers and other CafeCentra users are available at http://www.cafecentra.com/tips.htm. User problems may be mailed to info@cafecentra.com. When mailing user complaints and problems, please include your ProductID and organization or company name as provided during licensing and allow for 24 to 48 hours for response. In situations where Earlyon Technologies approved support personnel is needed to make troubleshooting visit, charges may differ from location to location and may vary with time. To request for support personnel, Earlyon Technologies would need an advance notice of 3 to 5 working days to enable the company determine the gravity of the problem, the necessity for the presence of support personnel and the costs involved.

About Earlyon Technologies

Earlyon Technologies Limited is an Information Technology product and solutions development and training company providing primarily software development, software project consulting and training services. To learn more about the company products and services, please visit our website at http://www.earlyontech.com or email us at info@earlyontech.com


Creating and Managing Client User Accounts

To create client user accounts, select Client Management from the Actions Menu and from the extended sub menu, select User Accounts. The resulting view has two tabs [Individual User Accounts and Bulk User Accounts]. The Individual User Accounts tab view is for creating customized accounts while the Bulk User Accounts tab view is for creating a large number of user accounts at once with CafeCentra automatically generating unique usernames and passwords based on user input. You can also get to this view by clicking the Create User Accounts button which has the icon of two users and a computer, on the server toolbar.

To create a customized user account, select the Individual User Accounts tab view and fill in the user details such as username, password, units and selling price. The selling price is in the currency you specified at the initial configuration of CafeCentra server which you can always change if you wish. Note that for the selling price, you are required to specify only numerals without any alphabets. The expiry days specify the number of days from creation or activation, based on expiry type, after which the user account expires. If the expiry type is ‘Expire After Creation’, then the expiry days specifies the number of days from the date of creation of the account, after which the user account expires whether used or not. If the expiry type is ‘Expire After Activation’, then the expiry days starts counting from the date any user first logs on to a client (i.e. activates account) with the username and password. However, this is only true if the account is activated within one month from the date of creation of the account. Thus even if an account expiry type is ‘Expire After Activation’ and the account is not activated within 30 days from date of creation, it expires. For information about User Types go to the Understanding User Account Types section of this help file.

After filling the user details, click the Create button to create the user account. You can create as many customized user accounts in a single session as you wish.

To edit a freshly created customized user account, select the username from the list view on the right and click the Edit button. This lists the user details for you to edit and then click the Update button.

To delete a freshly created customized user account, select the username from the list view on the right and click the Remove button.

To print freshly created customized user accounts, click the Print button. This prints all the user accounts in the list view on the right to the default printer connected to the computer on which the CafeCentra Server is running.

To create bulk user accounts, select the Bulk User Accounts tab view and fill in the parameters describing the set of user accounts to be created. You may change the default values already specified if you wish. The ‘Username Prefix’ which is optional specifies a maximum of three letter which form the first three letters every username created in the batch and may act as a unique identifier for the group of user accounts i.e. a group of users you’ve given special discounts. To set the length of password to be generated, highlight the default and type the required password length in the textbox. Select the required User Type from the drop down list and specify the selling price for the tickets for the users accounts being created. Note that for the selling price, you are required to specify only numerals without any alphabets.

For information about User Types go to the Understanding User Account Types section of this help file.

Click the Create button to auto-generate the user accounts, which are immediately added to the list view on the right.

To delete all the users created in a fresh batch, click the Cancel button after the user accounts have been generated and added to the list view, before any new batch is created.

To print bulk user accounts, click the Print button. This prints all the user accounts in the list view on the right to the default printer connected to the computer on which CafeCentra Server is running. You may preview the user accounts before they are printed by clicking the Preview button.

To print from the print preview dialog, click the Print button on the top left corner of the dialog.

To publish user accounts into HTML format, click the Publish button beside the Print button on the Print Preview dialog. This publishes the user accounts information into HTML format and loads the default Internet Browser on the computer to view these accounts. The administrator may wish to print the user account tickets from the browser window using the normal print command on the browser. The published user accounts are stored as PUBLISHED.HTM on the install location of the CafeCentra server.

To print all unprinted user accounts at any point in time, regardless of the type of account, click the button with the Printer icon on the server toolbar. This brings up a print preview dialog from which you may print by clicking the Print button.

PLEASE NOTE that passwords are limited to a maximum of eight characters, expiry days to a maximum of 3 digits (i.e. 999) and the number of bulk users that can be created in a batch to a maximum of 3 digits (i.e. 999).